Name:		farsight
Version:	0.1.8
Release:	2%{?dist}
Summary:	A audio/video conferencing framework

Group:		System Environment/Libraries
License:	LGPL
URL:		http://telepathy.freedesktop.org/
Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	libjingle-devel
BuildRequires:	gtk-doc

Requires:	gstreamer-plugins-base


%description
FarSight is an audio/video conferencing framework specifically designed
for Instant Messengers. It aims to provide a code structure that will be
able to absorb as many video conferencing protocols as possible. It also
offers an interface to those Instant Messengers, allowing them to embed
the video feeds and controls into them.

FarSight is not a standalone application. It provides two APIs, one for
interfacing with the different "protocol modules" and one for interfacing
with the Instant Messenger GUI.


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjingle-devel
Requires:	pkgconfig


%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static		\
	--disable-sequence-diagrams	\
	--disable-sofia-sip		\
	--disable-gnet			\
	--disable-msnwebcam		\
	--disable-yahoowebcam		\
	--enable-gtk-doc		\
	--enable-jingle-p2p		\
	--enable-rtp

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/gstelements.conf
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}-0.1
%{_libdir}/%{name}-0.1/librtp.so


%files devel
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-0.1.so
%{_libdir}/pkgconfig/%{name}-0.1.pc
%{_includedir}/%{name}-0.1/
%{_datadir}/gtk-doc/html/%{name}



%changelog
* Sat Sep 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.8-2
- Use correct license (LGPL).

* Wed Sep 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.8-1
- Intial FE spec.

